#
# mountall.sh	Mount all filesystems.
#

# $Id: S35mountall.sh,v 1.10 2003/02/26 06:37:57 scott Exp $

. /etc/default/rcS

#
# Mount local file systems in /etc/fstab. For some reason, people
# might want to mount "proc" several times, and mount -v complains
# about this. So we mount "proc" filesystems without -v.
#
[ "$VERBOSE" != no ] && echo "Mounting local filesystems..."
insmod /sbin/doc.o
mount -at nonfs,nosmbfs,noncpfs

# Make sure /var/log, /var/run and /var/lib exist on tmpfs for our daemons.
mkdir -p /var/log
mkdir -p /var/run
mkdir -p /var/lib
mkdir -p /var/empty

# Mount /proc/bus/usb if we have USB support
if grep -q usbdevfs /proc/filesystems; then
    mount -t usbdevfs none /proc/bus/usb
fi

# Free initrd.
#umount /initrd
#freeramdisk /dev/ram0

: exit 0
