#
# Configuration stuff for nfs-utils
#

VERSION		= nfs-utils 1.0.6

prefix		= $(install_prefix)/
exec_prefix	= $(install_prefix)/
BINDIR		= ${exec_prefix}/bin
SBINDIR		= ${exec_prefix}/sbin
MANDIR		= ${prefix}/man
STATEDIR	= $(DESTDIR)/var/lib/nfs
STATDUSER	= rpcuser

##################################################################
# This is the prefix that will be used for nfsd and mountd. Leave this
# empty, or set to `k'.
KPREFIX		= 

# This define will turn NFSv3 support on or off one day. Not functional yet.
NFSV3		= yes

# Where and how to install manpages
MAN1EXT		= 1
MAN5EXT		= 5
MAN7EXT		= 7
MAN8EXT		= 8
MAN9EXT		= 9
MANOWNER	= root
MANGROUP	= root

# Various libs
LIBBSD		= 
LIBNSL		= -lnsl
LIBWRAP		= -lwrap

################# END OF USER SERVICEABLE PARTS ##################
ALLTARGETS	= all clean distclean install installman \
		  depend dep postscript indent

ifndef ARCHFLAGS
  ARCH		= $(shell uname -m)
  FLAGS_alpha	= -mno-fp-regs -ffixed-8
  ARCHFLAGS	= $(FLAGS_$(ARCH))
.EXPORT:	ARCHFLAGS
endif

AR		= /data/software/linux/cross-devel/install/405/bin/ppc-linux-ar
LD		= /data/software/linux/cross-devel/install/405/bin/ppc-linux-ld
RM		= rm -f
MKDIR		= mkdir -p
LN_S		= ln -sf
RANLIB		= /data/software/linux/cross-devel/install/405/bin/ppc-linux-ranlib
INDENT		= indent
RPCGEN		= rpcgen
GETKVER		= $(TOP)tools/getkversion
INSTALL		= install
MAN2PS		= groff -Tps -man

AFLAGS		= -I$(TOP)support/include \
		  -Wall $(ARCHFLAGS) -pipe
ifdef KERNEL_INCDIR
AFLAGS	       += -I$(KERNEL_INCDIR)
endif

ALL-CFLAGS	= $(AFLAGS) $(CCOPTS) -DVERSION="\"$(VERSION)\""
CC		= /data/software/linux/cross-devel/install/405/bin/ppc-linux-gcc
CFLAGS		= -I/data/home/releng/builds/Release-2.1.0hpiss/build016/src/image/rootfs_gar/../rootfs_gar_junk/include -L/data/home/releng/builds/Release-2.1.0hpiss/build016/src/image/rootfs_gar//lib -D_GNU_SOURCE -DHAVE_TCP_WRAPPER $(ALL-CFLAGS)
CC_FOR_BUILD	= /data/software/linux/cross-devel/install/405/bin/ppc-linux-gcc
CFLAGS_FOR_BUILD= -O2 $(ALL-CFLAGS)

ifdef BUILD
CC		= $(CC_FOR_BUILD)
CFLAGS		= $(CFLAGS_FOR_BUILD)
endif

LDFLAGS		= -L/data/home/releng/builds/Release-2.1.0hpiss/build016/src/image/rootfs_gar//lib $(LDOPTS) -L$(TOP)support/lib

ifdef NFSV3
 CFLAGS	+= -DNFS3_SUPPORTED
endif

k		= $(KPREFIX)

INSTALLSCRIPT	= $(INSTALL) -m 755
INSTALLBIN	= $(INSTALL) -m 755
INSTALLSUID	= $(INSTALL) -m 4755
INSTALLMOD	= $(INSTALL) -m 600
INSTALLMAN	= $(INSTALL) -m 644
MAN1DIR		= $(MANDIR)/man$(MAN1EXT)
MAN5DIR		= $(MANDIR)/man$(MAN5EXT)
MAN7DIR		= $(MANDIR)/man$(MAN7EXT)
MAN8DIR		= $(MANDIR)/man$(MAN8EXT)
MAN9DIR		= $(MANDIR)/man$(MAN9EXT)
