/***************************************************************************
*
*   Module:             diags
*
*   Filename:           sysevent.h
*
*   Author:             Brian Tran
*
*   Created:            09/03/2002
*
*   Description:
*
*   For system event interrupt
*
****************************************************************************
*                 Source Control System Information
*
*    $Id: 270sc_sysevent.h,v 1.8 2004/05/13 08:35:13 brian Exp $
*
****************************************************************************
*                       Modification History
*
*    $Log: 270sc_sysevent.h,v $
*    Revision 1.8  2004/05/13 08:35:13  brian
*    Bugzilla number:
*    Support for getting reset reason in 270
*
*    Revision 1.7  2004/03/24 03:56:42  brian
*    Bugzilla number:
*    Initial suport for system event handling
*
*    Revision 1.6  2003/12/12 18:31:59  scott
*    back out changes that broke the build
*
*    Revision 1.4  2003/11/10 23:59:23  brian
*    Bugzilla number:
*    CHange the i2c address of the mux onmgmt cards to match the real chassis.
*
*    Revision 1.3  2003/10/30 23:15:38  brian
*    Bugzilla number:
*    Include new i2c error code file
*
*    Revision 1.2  2003/10/24 02:25:25  brian
*    Bugzilla number:
*    Add support for i2c route setting in 270
*
*    Revision 1.1  2003/10/22 00:26:20  brian
*    Bugzilla number:
*    Initial sysevent.h for 270
*
*
***************************************************************************
*                       (c) COPYRIGHT 2000, 2001, 2002
*                           TopSpin Communications, Inc.
*                           Palo Alto, CA
**************************************************************************/


#ifndef _SYSEVENT_H
#define _SYSEVENT_H


#define SYSEVENT_MAJOR  250
#define SYSEVENT_MINOR  0

#define FPGA_REGADDR_BASE            0x1f0100000
#define SRAM_REGADDR_BASE            0x180000000


#define SMM_HEALTHY_IRQ_NUM         27      /* IRQ4 */
#define FPGA_IRQ_NUM             	28      /* IRQ5 */
#define SMM_FAULT_IRQ_NUM           29      /* IRQ6 */



/* define i2c address for mux and switch on 270 node cards */
#define LOCAL_SWITCH_I2C_ADDR       0x75
// 270SC test backplane - mgmt A/B i2c addrs swapped for now
#define MGMT0_MUX_I2C_ADDR          0x7A
#define MGMT1_MUX_I2C_ADDR          0x7B
#define NODE_MUX_I2C_ADDR           0x7f
#define LIM1_MUX_I2C_ADDR           0x78
#define LIM2_MUX_I2C_ADDR           0x79
#define LIM1_SWITCH_I2C_ADDR        0x76
#define LIM2_SWITCH_I2C_ADDR        0x77
#define MGMT_MUX_CONTROL_REG_OFFSET 0x01
#define MGMT_SWITCH0_I2C_ADDR       0x72
#define MGMT_SWITCH1_I2C_ADDR       0x71


#define TS270_SMM_HEALTHY_INT_MASK      0x00000010      /* IRQ4 */
#define TS270_FPGA_INT_MASK             0x00000008      /* IRQ5 */
#define TS270_SMM_FAULT_INT_MASK        0x00000004      /* IRQ6 */

#define TS270_UIC0_INT_MASK         (TS270_SMM_HEALTHY_INT_MASK | TS270_FPGA_INT_MASK | TS270_SMM_FAULT_INT_MASK)

/* defined const for reset reasons */
#define POWER_ON_RESET		"power-on"
#define SOFTWARE_RESET		"software"
#define HARDWARE_RESET		"hardware"
#define WATCHDOG_RESET		"watchdog"

#define RESET_SIG_LEN		8


#endif _SYSEVENT_H

