/***************************************************************************
*
*   Module:             diags
*
*   Filename:           sysevent.h
*
*   Author:             Brian Tran
*
*   Created:            09/03/2002
*
*   Description:
*
*   For system event interrupt
*
****************************************************************************
*                 Source Control System Information
*
*    $Id: bldsc_sysevent.h,v 1.3 2004/05/20 02:39:40 brian Exp $
*
****************************************************************************
*                       Modification History
*
*    $Log: bldsc_sysevent.h,v $
*    Revision 1.3  2004/05/20 02:39:40  brian
*    Bugzilla number:
*    Sysevent support for bldsc
*
*    Revision 1.2  2004/04/10 02:16:12  brian
*    Bugzilla number:
*    Change the i2c address of the switch
*
*    Revision 1.1  2003/12/19 00:28:04  andy
*    Blade Center Switch Card board specific kernel changes
*
*
*
***************************************************************************
*                       (c) COPYRIGHT 2000, 2001, 2002, 2003
*                           TopSpin Communications, Inc.
*                           Palo Alto, CA
**************************************************************************/


#ifndef _SYSEVENT_H
#define _SYSEVENT_H


#define SYSEVENT_MAJOR  250
#define SYSEVENT_MINOR  0

#define FPGA_REGADDR_BASE            0x1f0100000


#define PIC_IRQ_NUM		    		24		/* IRQ1 */
#define FPGA_IRQ_NUM				28		/* IRQ5 */


#define LOCAL_SWITCH_I2C_ADDR 	0x75

#define BLDSC_PIC_INT_MASK              0x00000080      /* IRQ1 */
#define BLDSC_FPGA_INT_MASK             0x00000008      /* IRQ5 */

#define BLDSC_UIC0_INT_MASK				(BLDSC_PIC_INT_MASK | BLDSC_FPGA_INT_MASK)


#endif _SYSEVENT_H

