/***************************************************************************
*
*   Module:             diags
*
*   Filename:           dcr.h
*
*   Author:             Brian Tran
*
*   Created:            09/03/2002
*
*   Description:
*
*   Read/Write DCR registers
*
****************************************************************************
*                 Source Control System Information
*
*    $Id: dcr.h,v 1.3 2004/02/12 04:46:29 brian Exp $
*
****************************************************************************
*                       Modification History
*
*    $Log: dcr.h,v $
*    Revision 1.3  2004/02/12 04:46:29  brian
*    Bugzilla number:
*    Support more dcr interrupt registers
*
*    Revision 1.2  2003/10/29 01:15:07  brian
*    Bugzilla number:
*    Add more interrupt register for IRQ10 in 120
*
*    Revision 1.1  2003/07/25 00:26:46  brian
*    Bugzilla number:
*    Needed for setting up the interrupts
*
*    Revision 1.2  2003/04/30 19:01:08  brian
*    Bugzilla number:
*    Added more DCR register to read/write
*
*    Revision 1.1  2003/03/06 05:49:27  brian
*    For DCR register read/write
*
*
***************************************************************************
*                       (c) COPYRIGHT 2000, 2001, 2002
*                           TopSpin Communications, Inc.
*                           Palo Alto, CA
**************************************************************************/


#ifndef _DCR_H
#define _DCR_H

/* define DCR addresses */

#define SDRAM0_CFGADDR		0x010
#define SDRAM0_CFGDATA		0x011

#define EBC0_CFGADDR		0x012
#define EBC0_CFGDATA		0x013
#define EBM0_CFGADDR        0x014
#define EBM0_CFGDATA        0x015

#define PPM0_CFGADDR        0x016
#define PPM0_CFGDATA        0x017

#define OCM0_ISARC          0x018
#define OCM0_ISCNTL         0x019
#define OCM0_DSARC          0x01A
#define OCM0_DSCNTL         0x01B

#define UIC0_STATUS_REG     0x0C0
#define UIC0_ENABLE_REG     0x0C2
#define UIC0_CRITICAL_REG   0x0C3
#define UIC0_POLARITY_REG   0x0C4
#define UIC0_TRIGGER_REG    0x0C5
#define UIC0_MASKSTAT_REG   0x0C6

#define UIC1_STATUS_REG     0x0D0
#define UIC1_ENABLE_REG     0x0D2
#define UIC1_CRITICAL_REG   0x0D3
#define UIC1_POLARITY_REG   0x0D4
#define UIC1_TRIGGER_REG    0x0D5
#define UIC1_MASKSTAT_REG   0x0D6

#define CPC0_GPIO_REG    	0x0E8


#endif _DCR_H

