/*
 * BK Id: SCCS/s.serial.h 1.33 07/17/02 12:59:49 danc
 */
/*
 * include/asm-ppc/serial.h
 */

#ifdef __KERNEL__
#ifndef __ASM_SERIAL_H__
#define __ASM_SERIAL_H__

#include <linux/config.h>

#if defined(CONFIG_EV64260)
#include <platforms/ev64260.h>
#elif defined(CONFIG_GEMINI)
#include <platforms/gemini_serial.h>
#elif defined(CONFIG_POWERPMC250)
#include <platforms/powerpmc250_serial.h>
#elif defined(CONFIG_LOPEC)
#include <platforms/lopec_serial.h>
#elif defined(CONFIG_MCPN765)
#include <platforms/mcpn765_serial.h>
#elif defined(CONFIG_MVME5100)
#include <platforms/mvme5100_serial.h>
#elif defined(CONFIG_PAL4)
#include <platforms/pal4_serial.h>
#elif defined(CONFIG_PRPMC750)
#include <platforms/prpmc750_serial.h>
#elif defined(CONFIG_PRPMC800)
#include <platforms/prpmc800_serial.h>
#elif defined(CONFIG_SANDPOINT)
#include <platforms/sandpoint_serial.h>
#elif defined(CONFIG_SPRUCE)
#include <platforms/spruce.h>
#elif defined(CONFIG_ZX4500)
#include <platforms/zx4500_serial.h>
#elif defined(CONFIG_40x)
#include <asm/ibm4xx.h>
#elif defined(CONFIG_EBONY)
#include <platforms/ebony.h>
#elif defined(CONFIG_TS_EBONY)
#include <platforms/ts-ebony.h>
#elif defined(CONFIG_TS_IGR_CC)
#include <platforms/ts-igr-cc.h>
#elif defined(CONFIG_TS_IGR_FC)
#include <platforms/ts-igr-fc.h>
#elif defined(CONFIG_TS_IGR_EN)
#include <platforms/ts-igr-en.h>
#elif defined(CONFIG_TS_IGR_FG)
#include <platforms/ts-igr-fg.h>
#elif defined(CONFIG_TS_IGR_NW)
#include <platforms/ts-igr-nw.h>
#elif defined(CONFIG_TS_IGR_LITE)
#include <platforms/ts-igr-lite.h>
#elif defined(CONFIG_TS_270_SC)
#include <platforms/ts-270-sc.h>
#elif defined(CONFIG_TS_120_SC)
#include <platforms/ts-120-sc.h>
#else

/*
 * XXX Assume for now it has PC-style ISA serial ports.
 * This is true for PReP and CHRP at least.
 */
#include <asm/pc_serial.h>
#include <asm/processor.h>

#if defined(CONFIG_MAC_SERIAL)
#define SERIAL_DEV_OFFSET	((_machine == _MACH_prep || _machine == _MACH_chrp) ? 0 : 2)
#endif

#endif /* !CONFIG_GEMINI and others */
#endif /* __ASM_SERIAL_H__ */
#endif /* __KERNEL__ */
