/**************************************************************************
*
*   Module:			PPCBoot/board/ts_igr_lt
*
*   Filename:       fpga.h
*
*   Author:         Sarah Rosedahl
*
*   Created:        01/14/2003
*
*   Description:
*
*   FPGA header
*
***************************************************************************
*
*                 Source Control System Information
*
*    $Id: fpga.h,v 1.2 2003/01/20 17:28:59 sarah Exp $
*
***************************************************************************
*
*                       Modification History
*
*    $Log: fpga.h,v $
*    Revision 1.2  2003/01/20 17:28:59  sarah
*    add defines for LEDs
*
*    Revision 1.1  2003/01/15 01:43:47  sarah
*    general fpga defines
*
*
***************************************************************************
*                       (c) COPYRIGHT 2000, 2001, 2002
*                           TopSpin Communications, Inc.
*                           Palo Alto, CA
**************************************************************************/
#ifndef _FPGA_H
#define _FPGA_H

#define LT_FPGA_BASE			0xf0100000

#define LT_FPGA_REG1_OFFSET		0x0
#define LT_FPGA_REG2_OFFSET		0x1
#define LT_FPGA_REG3_OFFSET		0x2
#define LT_FPGA_REG4_OFFSET		0x3
#define LT_FPGA_REG5_OFFSET		0x4
#define LT_FPGA_REG6_OFFSET		0x5

/* Register 1, Power Supply A and Fans */
#define LT_FPGA_FAN_PRESENT_MASK 0x02

/* Register 5, LEDs */
#define LT_FPGA_LED_RP_YELLOW	0x80
#define LT_FPGA_LED_RP_GREEN	0x40
#define LT_FPGA_LED_FAN_GREEN	0x20
#define LT_FPGA_LED_FP_YELLOW	0x10
#define LT_FPGA_LED_FP_GREEN	0x08

#define LT_FPGA_LEDS_GREEN		0xb0

/* where the FPGA firmware signature is */
#define FPGA_SIGNATURE_OFFSET	LT_FPGA_REG6_OFFSET

#endif _FPGA_H
