/***************************************************************************
*
*   Module:				PPCBoot/board/ts_igr_lt
*
*   Filename:           led.c
*
*   Author:             Sarah Rosedahl
*
*   Created:            01/17/2003
*
*   Description:
*
*   LEDs
*
****************************************************************************
*                 Source Control System Information
*
*    $Id: led.c,v 1.2 2003/01/22 01:03:04 sarah Exp $
*
****************************************************************************
*                       Modification History
*
*    $Log: led.c,v $
*    Revision 1.2  2003/01/22 01:03:04  sarah
*    add extra check for FPGA LED write/read
*
*    Revision 1.1  2003/01/20 17:29:40  sarah
*    initial led code
*
*
***************************************************************************
*                       (c) COPYRIGHT 2000, 2001, 2002
*                           TopSpin Communications, Inc.
*                           Palo Alto, CA
**************************************************************************/
#ifdef RCSID
#endif

#include <ppcboot.h>
#include "../../include/i2c.h"
#include "fpga.h"
#include "fan.h"

extern int dontboot;

void ledinit(void)
{
    uchar led_state;

	/* TODO... more later, but for now turn them green... */
printf("leds 0x%x = 0x%x\n", (LT_FPGA_BASE + LT_FPGA_REG5_OFFSET), LT_FPGA_LEDS_GREEN);
    out8(LT_FPGA_BASE + LT_FPGA_REG5_OFFSET, LT_FPGA_LEDS_GREEN);

    /* read back from FPGA, if different, something is wrong */
    led_state = in8(LT_FPGA_BASE + LT_FPGA_REG5_OFFSET);
    if (led_state != LT_FPGA_LEDS_GREEN)
    {
        printf("POST: FPGA write 0x%x = 0x%x, should be 0x%x: FAILED\n",
            LT_FPGA_BASE + LT_FPGA_REG5_OFFSET, LT_FPGA_LEDS_GREEN,
            led_state);
        dontboot = 1;
    }
}
