/*
  Boot from M-System DiskOnChip Millenium Plus

  Copyright (c) 2002 Topspin Communications
*/

#ifndef _CMD_MBOOT_H
#define _CMD_MBOOT_H

#if (CONFIG_COMMANDS & CFG_CMD_MBOOT)

int do_mboot (cmd_tbl_t *cmdtp, bd_t *bd, int flag, int argc, char *argv[]);

#define	CMD_TBL_MBOOT	MK_CMD_TBL_ENTRY(					\
	"mboot",	4,	4,	1,	do_mboot,			\
	"mboot  - boot image from M-Systems DiskOnChip Millenium Plus \n",				\
	"[bootfilename]\n" 		 			\
),

/*
 * Partition info
 */
/*
  This is the partition structure used for the LynxOS style partitions.
  This structure will most likely not be aligned on a 4 byte boundry.
  beware on the sparc.
*/
typedef struct partition {
  u_char indicator; /* Indicates if partition is bootable */
                    /* 7 bit set indicates bootable partition */
  u_char b_head;    /* Beginning head */
  u_char b_sector;  /* Beginning sector, bits 0-5 */
                    /* bits 6-7, upper bits of begin cylinder */
  u_char b_cylinder;/* low 8 bits of beginning cylinder */

  u_char type;      /* What type of partition */
  u_char e_head;    /* Ending head */
  u_char e_sector;  /* Ending sector, bits 0-5 */
                    /* bits 6-7, upper bits of end cylinder */
  u_char e_cylinder;/* low 8 bits of end cylinder */

  u_int first_block;/* 32 bit start block of partition */
  u_int size;       /* 32 bit value indicating number of blocks */
                    /* for a partition */
} Partition_t;

/*
  This boot block goes to block 0 of a hard disk. block 0 of a disk
  contains partitions at offset 446 followed by magic.
*/
typedef struct bootblock_x86 {
  u_char      bootcode[446] __attribute__ ((packed));
  Partition_t partitions[4] __attribute__ ((packed));
  u_char      boot_magic[2] __attribute__ ((packed));
} Bootblock_x86_t;

/*
 * Partition info structure
 */
typedef struct partition_info {
    u_long start;           /* start block of partition             */
    u_long size;              /* size of partition in 512 byte blocks   */
    u_long raw_size;        /* size of partition in 512 byte blocks */
    int in_use;                 /* non-zero - partition is in use       */
} Partition_info_t;


#else /* CFG_CMD_MBOOT */

#define CMD_TBL_MBOOT

#endif /* CFG_CMD_MBOOT */

#endif /* _CMD_MBOOT_H */

