/* m4/ebc.inc, openbios_ebony, ebony_bios 7/9/00 14:37:47 
!------------------------------------------------------------------------------+
!
!       This source code has been made available to you by IBM on an AS-IS
!       basis.  Anyone receiving this source is licensed under IBM
!       copyrights to use it in any way he or she deems fit, including
!       copying it, modifying it, compiling it, and redistributing it either
!       with or without modifications.  No license under IBM patents or
!       patent applications is to be implied by the copyright license.
!
!       Any user of this software should understand that IBM cannot provide
!       technical support for this software and will not be responsible for
!       any consequences resulting from the use of this software.
!
!       Any person who transfers this source code or any derivative work
!       must include the IBM copyright notice, this paragraph, and the
!       preceding two paragraphs in the transferred software.
!
!       COPYRIGHT   I B M   CORPORATION 1995
!       LICENSED MATERIAL  -  PROGRAM PROPERTY OF I B M
!-------------------------------------------------------------------------------
!-------------------------------------------------------------------------------
!
!  File Name:   ebc.inc
!
!  Function:    Defines for External bus controller regsiters 
!		used in assembly language.
!
!  Author:      Neil Leeder
!
!  Change Activity-
!
!  Date        Description of Change                                       BY
!  ---------   ---------------------                                       ---
!  12-Apr-99   Created							   NL
!  16-May-00   New Reg names      					   JWB
!  13-Sep-00   Port to 440GP                                               DWG
!
!-------------------------------------------------------------------------------
*/

#ifndef __EBC_INC__
#define __EBC_INC__

#ifdef __cplusplus
extern "C" {
#endif

#define EBC0_CFGADDR (EBC0_DCR_BASE+0x0)   /* External bus controller addr reg     */
#define EBC0_CFGDATA (EBC0_DCR_BASE+0x1)   /* External bus controller data reg     */

  /* values for EBC0_CFGADDR register - indirect addressing of these regs */
  #define EBC0_B0CR       0x00    /* periph bank 0 config reg            */
  #define EBC0_B1CR       0x01    /* periph bank 1 config reg            */
  #define EBC0_B2CR       0x02    /* periph bank 2 config reg            */
  #define EBC0_B3CR       0x03    /* periph bank 3 config reg            */
  #define EBC0_B4CR       0x04    /* periph bank 4 config reg            */
  #define EBC0_B5CR       0x05    /* periph bank 5 config reg            */
  #define EBC0_B6CR       0x06    /* periph bank 6 config reg            */
  #define EBC0_B7CR       0x07    /* periph bank 7 config reg            */
  #define EBC0_B0AP       0x10    /* periph bank 0 access parameters     */
  #define EBC0_B1AP       0x11    /* periph bank 1 access parameters     */
  #define EBC0_B2AP       0x12    /* periph bank 2 access parameters     */
  #define EBC0_B3AP       0x13    /* periph bank 3 access parameters     */
  #define EBC0_B4AP       0x14    /* periph bank 4 access parameters     */
  #define EBC0_B5AP       0x15    /* periph bank 5 access parameters     */
  #define EBC0_B6AP       0x16    /* periph bank 6 access parameters     */
  #define EBC0_B7AP       0x17    /* periph bank 7 access parameters     */
  #define EBC0_BEAR       0x20    /* periph bus error addr reg           */
  #define EBC0_BESR       0x21    /* periph bus error status reg 0       */
  #define EBC0_CFG        0x23    /* external periph control reg         */
  #define EBC0_CID        0x24    /* ebc core id reg                     */

#ifdef __cplusplus
}
#endif

#endif /* __EBC_INC__ */
