/* m4/emac.inc, openbios_ebony, ebony_bios 7/9/00 14:37:48 
!------------------------------------------------------------------------------+
!
!       This source code has been made available to you by IBM on an AS-IS
!       basis.  Anyone receiving this source is licensed under IBM
!       copyrights to use it in any way he or she deems fit, including
!       copying it, modifying it, compiling it, and redistributing it either
!       with or without modifications.  No license under IBM patents or
!       patent applications is to be implied by the copyright license.
!
!       Any user of this software should understand that IBM cannot provide
!       technical support for this software and will not be responsible for
!       any consequences resulting from the use of this software.
!
!       Any person who transfers this source code or any derivative work
!       must include the IBM copyright notice, this paragraph, and the
!       preceding two paragraphs in the transferred software.
!
!       COPYRIGHT   I B M   CORPORATION 1995
!       LICENSED MATERIAL  -  PROGRAM PROPERTY OF I B M
!-------------------------------------------------------------------------------
!-------------------------------------------------------------------------------
!
!  File Name:   emac.inc 
!
!  Function:    Defines for Ethernet registers used in assembly language.
!
!  Author:      Daniel Goehring 
!
!  Change Activity-
!
!  Date        Description of Change                                       BY
!  ---------   ---------------------                                       ---
!  13-Sep-00   Created                                                     DWG
!
!-------------------------------------------------------------------------------
*/

#ifndef __EMAC_INC__
#define __EMAC_INC__

#ifdef __cplusplus
extern "C" {
#endif

/*-----------------------------------------------------------------------------+
| EMAC register addresses
+-----------------------------------------------------------------------------*/
#define EMAC_MR0         0x00
#define EMAC_MR1         0x04
#define EMAC_TMR0        0x08
#define EMAC_TMR1        0x0C
#define EMAC_RMR         0x10
#define EMAC_ISR         0x14
#define EMAC_ISER        0x18
#define EMAC_IAHR        0x1C
#define EMAC_IALR        0x20
#define EMAC_VTPID       0x24
#define EMAC_VTCI        0x28
#define EMAC_PTR         0x2C
#define EMAC_IAHT1       0x30
#define EMAC_IAHT2       0x34
#define EMAC_IAHT3       0x38
#define EMAC_IAHT4       0x3C
#define EMAC_GAHT1       0x40
#define EMAC_GAHT2       0x44
#define EMAC_GAHT3       0x48
#define EMAC_GAHT4       0x4C
#define EMAC_LSAH        0x50
#define EMAC_LSAL        0x54
#define EMAC_IPGVR       0x58
#define EMAC_STACR       0x5C
#define EMAC_TRTR        0x60
#define EMAC_RWMR        0x64
#define EMAC_OCTX        0x68
#define EMAC_OCRX        0x6C

#define EMAC0_MR0        (EMAC0_BASE + EMAC_MR0)
#define EMAC0_MR1        (EMAC0_BASE + EMAC_MR1)
#define EMAC0_TMR0       (EMAC0_BASE + EMAC_TMR0)
#define EMAC0_TMR1       (EMAC0_BASE + EMAC_TMR1)
#define EMAC0_RMR        (EMAC0_BASE + EMAC_RMR)
#define EMAC0_ISR        (EMAC0_BASE + EMAC_ISR)
#define EMAC0_ISER       (EMAC0_BASE + EMAC_ISER)
#define EMAC0_IAHR       (EMAC0_BASE + EMAC_IAHR)
#define EMAC0_IALR       (EMAC0_BASE + EMAC_IALR)
#define EMAC0_VTPID      (EMAC0_BASE + EMAC_VTPID)
#define EMAC0_VTCI       (EMAC0_BASE + EMAC_VTCI)
#define EMAC0_PTR        (EMAC0_BASE + EMAC_PTR)
#define EMAC0_IAHT1      (EMAC0_BASE + EMAC_IAHT1)
#define EMAC0_IAHT2      (EMAC0_BASE + EMAC_IAHT2)
#define EMAC0_IAHT3      (EMAC0_BASE + EMAC_IAHT3)
#define EMAC0_IAHT4      (EMAC0_BASE + EMAC_IAHT4)
#define EMAC0_GAHT1      (EMAC0_BASE + EMAC_GAHT1)
#define EMAC0_GAHT2      (EMAC0_BASE + EMAC_GAHT2)
#define EMAC0_GAHT3      (EMAC0_BASE + EMAC_GAHT3)
#define EMAC0_GAHT4      (EMAC0_BASE + EMAC_GAHT4)
#define EMAC0_LSAH       (EMAC0_BASE + EMAC_LSAH)
#define EMAC0_LSAL       (EMAC0_BASE + EMAC_LSAL)
#define EMAC0_IPGVR      (EMAC0_BASE + EMAC_IPGVR)
#define EMAC0_STACR      (EMAC0_BASE + EMAC_STACR)
#define EMAC0_TRTR       (EMAC0_BASE + EMAC_TRTR)
#define EMAC0_RWMR       (EMAC0_BASE + EMAC_RWMR)
#define EMAC0_OCTX       (EMAC0_BASE + EMAC_OCTX)
#define EMAC0_OCRX       (EMAC0_BASE + EMAC_OCRX)

#define EMAC1_MR0        (EMAC1_BASE + EMAC_MR0)
#define EMAC1_MR1        (EMAC1_BASE + EMAC_MR1)
#define EMAC1_TMR0       (EMAC1_BASE + EMAC_TMR0)
#define EMAC1_TMR1       (EMAC1_BASE + EMAC_TMR1)
#define EMAC1_RMR        (EMAC1_BASE + EMAC_RMR)
#define EMAC1_ISR        (EMAC1_BASE + EMAC_ISR)
#define EMAC1_ISER       (EMAC1_BASE + EMAC_ISER)
#define EMAC1_IAHR       (EMAC1_BASE + EMAC_IAHR)
#define EMAC1_IALR       (EMAC1_BASE + EMAC_IALR)
#define EMAC1_VTPID      (EMAC1_BASE + EMAC_VTPID)
#define EMAC1_VTCI       (EMAC1_BASE + EMAC_VTCI)
#define EMAC1_PTR        (EMAC1_BASE + EMAC_PTR)
#define EMAC1_IAHT1      (EMAC1_BASE + EMAC_IAHT1)
#define EMAC1_IAHT2      (EMAC1_BASE + EMAC_IAHT2)
#define EMAC1_IAHT3      (EMAC1_BASE + EMAC_IAHT3)
#define EMAC1_IAHT4      (EMAC1_BASE + EMAC_IAHT4)
#define EMAC1_GAHT1      (EMAC1_BASE + EMAC_GAHT1)
#define EMAC1_GAHT2      (EMAC1_BASE + EMAC_GAHT2)
#define EMAC1_GAHT3      (EMAC1_BASE + EMAC_GAHT3)
#define EMAC1_GAHT4      (EMAC1_BASE + EMAC_GAHT4)
#define EMAC1_LSAH       (EMAC1_BASE + EMAC_LSAH)
#define EMAC1_LSAL       (EMAC1_BASE + EMAC_LSAL)
#define EMAC1_IPGVR      (EMAC1_BASE + EMAC_IPGVR)
#define EMAC1_STACR      (EMAC1_BASE + EMAC_STACR)
#define EMAC1_TRTR       (EMAC1_BASE + EMAC_TRTR)
#define EMAC1_RWMR       (EMAC1_BASE + EMAC_RWMR)
#define EMAC1_OCTX       (EMAC1_BASE + EMAC_OCTX)
#define EMAC1_OCRX       (EMAC1_BASE + EMAC_OCRX)

/*-----------------------------------------------------------------------------+
| EMAC Mode Reg 0 bit defintions
+-----------------------------------------------------------------------------*/
#define EMAC_MR0_RXI            0x80000000     /* RX MAC idle                */
#define EMAC_MR0_TXI            0x40000000     /* TX MAC idle                */
#define EMAC_MR0_SRST           0x20000000     /* Soft reset                 */
#define EMAC_MR0_TXE            0x10000000     /* TX MAC enable              */
#define EMAC_MR0_RXE            0x08000000     /* RX MAC enable              */
#define EMAC_MR0_WKE            0x04000000     /* Wake up enable             */

/*-----------------------------------------------------------------------------+
| EMAC Mode Reg 1 bit defintions
+-----------------------------------------------------------------------------*/
#define EMAC_MR1_FDE            0x80000000     /* Full Duplex enable         */
#define EMAC_MR1_ILE            0x40000000     /* Internal loopback          */
#define EMAC_MR1_VLE            0x20000000     /* VLAN enable                */
#define EMAC_MR1_EIFC           0x10000000     /* Enable Int. Flow Control   */
#define EMAC_MR1_APP            0x08000000     /* Allow pause packet         */
#define EMAC_MR1_IST            0x01000000     /* Ignore SQE test            */
#define EMAC_MR1_MF_MASK        0x00C00000     /* Mask for Medium Freq bit   */
#define EMAC_MR1_MF_10MBPS      0x00000000     /* Medium frequency = 10Mbps  */
#define EMAC_MR1_MF_100MBPS     0x00400000     /* Medium frequency = 100Mbps */
#define EMAC_MR1_RFS_MASK       0x00300000     /* Receive FIFO size mask     */
#define EMAC_MR1_RFS_4K         0x00300000     /* Receive FIF0 = 4KB         */
#define EMAC_MR1_TFS_MASK       0x000C0000     /* Transmit FIFO size mask    */
#define EMAC_MR1_TFS_2K         0x00080000     /* Transmit FIFO = 2KB        */
#define EMAC_MR1_TR0_MASK       0x00018000     /* Transmit Request 0 mask    */
#define EMAC_MR1_TR0_SINGLE     0x00000000     /* TX 0 single packet mode    */
#define EMAC_MR1_TR0_DEPEND     0x00010000     /* TX 0 multi packet mode     */
#define EMAC_MR1_TR0_MULTI      0x00008000     /* TX 0 dependent mode        */
#define EMAC_MR1_TR1_MASK       0x00006000     /* Transmit Request 1 mask    */
#define EMAC_MR1_TR1_SINGLE     0x00000000     /* TX 1 single packet mode    */
#define EMAC_MR1_TR1_DEPEND     0x00004000     /* TX 1 multi packet mode     */
#define EMAC_MR1_TR1_MULTI      0x00002000     /* TX 1 dependent mode        */

/*-----------------------------------------------------------------------------+
| Transmit Mode Register 0 bit definitions
+-----------------------------------------------------------------------------*/
#define EMAC_TMR0_GNP0          0x80000000    /* TX 0 get new packet         */
#define EMAC_TMR0_GNP1          0x40000000    /* TX 1 get new packet         */
#define EMAC_TMR0_GNPD          0x20000000    /* TX dependent get new packet */
#define EMAC_TMR0_FC            0x10000000    /* First channel               */

/*-----------------------------------------------------------------------------+
| Receive Mode Register bit definitions
+-----------------------------------------------------------------------------*/
#define EMAC_RMR_SP             0x80000000    /* Strip padding               */
#define EMAC_RMR_SFCS           0x40000000    /* Strip FCS                   */
#define EMAC_RMR_RRP            0x20000000    /* RX runt packets             */
#define EMAC_RMR_RFP            0x10000000    /* RX packets with FCS error   */
#define EMAC_RMR_ROP            0x08000000    /* RX oversize packets         */
#define EMAC_RMR_RPIR           0x04000000    /* RX packets w/ inrange error */
#define EMAC_RMR_PPP            0x02000000    /* Propagate pause packets     */
#define EMAC_RMR_PME            0x01000000    /* Promiscuous mode enable     */
#define EMAC_RMR_PMME           0x00800000    /* Promiscuous multicast mode  */
#define EMAC_RMR_IAE            0x00400000    /* Individual address enable   */
#define EMAC_RMR_MIAE           0x00200000    /* Multiple individual address */
#define EMAC_RMR_BAE            0x00100000    /* Broadcast address enable    */
#define EMAC_RMR_MAE            0x00080000    /* Multicast address enable    */

/*-----------------------------------------------------------------------------+
| Interrupt Status & Enable registers bit definitions
+-----------------------------------------------------------------------------*/
#define EMAC_ISR_OVR            0x02000000    /* Overrun error               */
#define EMAC_ISR_PP             0x01000000    /* Pause packet received       */
#define EMAC_ISR_BP             0x00800000    /* Bad packet                  */
#define EMAC_ISR_RP             0x00400000    /* Runt packet                 */
#define EMAC_ISR_SE             0x00200000    /* Short event                 */
#define EMAC_ISR_ALE            0x00100000    /* Alignment error             */
#define EMAC_ISR_BFCS           0x00080000    /* Bad FCS                     */
#define EMAC_ISR_PTLE           0x00040000    /* Packet too long             */
#define EMAC_ISR_ORE            0x00020000    /* Out of range error          */
#define EMAC_ISR_IRE            0x00010000    /* In range error              */
#define EMAC_ISR_DBDM           0x00000200    /* Dead bit TX dependent mode  */
#define EMAC_ISR_DB0            0x00000100    /* Dead bit TX channel 0       */
#define EMAC_ISR_SE0            0x00000080    /* SQE error TX channel 0      */
#define EMAC_ISR_TE0            0x00000040    /* TX error channel 0          */
#define EMAC_ISR_DB1            0x00000020    /* Dead bit TX channel 1       */
#define EMAC_ISR_SE1            0x00000010    /* SQE error TX channel 1      */
#define EMAC_ISR_TE1            0x00000008    /* TX error channel 1          */
#define EMAC_ISR_MOS            0x00000002    /* MMA operation succeeded     */
#define EMAC_ISR_MOF            0x00000001    /* MMA operation failed        */

/*-----------------------------------------------------------------------------+
| MII station management unit (STA Control) register bit definitions
+-----------------------------------------------------------------------------*/
#define EMAC_STACR_PHYD_MASK    0xFFFF0000    /* Phy data mask               */
#define EMAC_STACR_OC           0x00008000    /* Operation complete          */
#define EMAC_STACR_PHYE         0x00004000    /* PHY error                   */
#define EMAC_STACR_STAC_MASK    0x00003000    /* STA command mask            */
#define EMAC_STACR_STAC_WRITE   0x00002000    /* STA command WRITE           */
#define EMAC_STACR_STAC_READ    0x00001000    /* STA command READ            */
#define EMAC_STACR_OPBC_MASK    0x00000C00    /* OPB bus clk freq mask       */
#define EMAC_STACR_OPBC_50MHZ   0x00000000    /* OPB bus clock freq 50MHz    */
#define EMAC_STACR_OPBC_83MHZ   0x00000800    /* OPB bus clock freq 83MHz    */
#define EMAC_STACR_OPBC_66MHZ   0x00000400    /* OPB bus clock freq 66MHz    */
#define EMAC_STACR_OPBC_100MHZ  0x00000C00    /* OPB bus clock freq 100MHz   */
#define EMAC_STACR_PCDA(n)      (((n)&0x1F)<<5)
#define EMAC_STACR_PRA(n)       (((n)&0x1F)<<0)

/*-----------------------------------------------------------------------------+
| Transmit Request Threshold Register bit definitions
+-----------------------------------------------------------------------------*/
#define EMAC_TRTR_MASK          0xF8000000
#define EMAC_TRTR_64            0x00000000
#define EMAC_TRTR_128           0x08000000
#define EMAC_TRTR_192           0x10000000
#define EMAC_TRTR_256           0x18000000

/*-----------------------------------------------------------------------------+
| Buffer Descriptor Control/Status bit definitions.
| The EMAC status/control bits portion of the MAL buffer descriptor have
| different meaning if the descriptor is used by a TX channel versus an RX
| channel.
| Bits 0:5 are used to convey MAL control/status.  Bits 6:15 are used to convey
| the EMAC control/status.  See mal.h for definitions of Bits 0:5.
+-----------------------------------------------------------------------------*/
/* TX Control bits */
#define EMAC_TX_CTRL_GFCS       0x0200         /* Generate FCS                */
#define EMAC_TX_CTRL_GP         0x0100         /* Generate padding            */
#define EMAC_TX_CTRL_ISA        0x0080         /* Insert source address       */
#define EMAC_TX_CTRL_RSA        0x0040         /* Replace source address      */
#define EMAC_TX_CTRL_IVT        0x0020         /* Insert VLAN tag             */
#define EMAC_TX_CTRL_RVT        0x0010         /* Replace VLAN tag            */

/* TX Status bits */
#define EMAC_TX_ST_BFCS         0x0200         /* Bad FCS                     */
#define EMAC_TX_ST_BPP          0x0100         /* Bad previous packet         */
#define EMAC_TX_ST_LCS          0x0080         /* Loss of carrier sense       */
#define EMAC_TX_ST_ED           0x0040         /* Excessive deferral          */
#define EMAC_TX_ST_EC           0x0020         /* Excessive collisions        */
#define EMAC_TX_ST_LC           0x0010         /* Late collision              */
#define EMAC_TX_ST_MC           0x0008         /* Multiple collision          */
#define EMAC_TX_ST_SC           0x0004         /* Single collision            */
#define EMAC_TX_ST_UR           0x0002         /* Underrun                    */
#define EMAC_TX_ST_SQE          0x0001         /* Signal quality error (SQE)  */

/* RX status bits */
#define EMAC_RX_ST_OE           0x0200         /* Overrun error               */
#define EMAC_RX_ST_PP           0x0100         /* Pause packet received       */
#define EMAC_RX_ST_BP           0x0080         /* Bad packet                  */
#define EMAC_RX_ST_RP           0x0040         /* Runt packet                 */
#define EMAC_RX_ST_SE           0x0020         /* Short event                 */
#define EMAC_RX_ST_AE           0x0010         /* Alignment error             */
#define EMAC_RX_ST_BFCS         0x0008         /* Bad FCS                     */
#define EMAC_RX_ST_PTL          0x0004         /* Packet too long             */
#define EMAC_RX_ST_ORE          0x0002         /* Out of range error          */
#define EMAC_RX_ST_IRE          0x0001         /* In range error              */

/* all the errors we care about */
#define EMAC_RX_ERRORS          0x03FF

#ifdef __cplusplus
}
#endif

#endif /* __EMAC_INC__ */
